/*
 * intr.h
 *
 * A header file exporting the routines of intr.c.
 * This file belongs to PGOS.
 *
 */

#ifndef PGOS_INTR_H
#define PGOS_INTR_H

#include <stddef.h>
#include <stdint.h>

typedef struct {
  uint16_t lim1;
  uint16_t base1;
  uint8_t base2;
  uint8_t access;
  uint8_t lim2_flags;
  uint8_t base3;
} gdt_entry_t;

typedef struct {
  uint16_t size;
  uint32_t addr;
} __attribute__ ((packed)) gdtr_t; /* Also used for the IDTR */

typedef struct {
  uint16_t offset1;
  uint16_t segment;
  uint8_t resv;
  uint8_t flags;
  uint16_t offset2;
} idt_entry_t;

gdt_entry_t fill_gdt_entry (uint32_t, uint32_t, uint8_t);
void lgdt (gdt_entry_t *, size_t);
void load_default_gdt ();

idt_entry_t fill_idt_entry (uint32_t, uint8_t, uint16_t);
void lidt (idt_entry_t *);
void load_default_idt ();

#endif /* PGOS_INTR_H */
