/*
 * boot.S
 *
 * This file contains low-level bootstrap code.
 * This file belongs to PGOS.
 *
 */

.set ALIGN,    1<<0
.set MEMINFO,  1<<1
.set FLAGS,    ALIGN | MEMINFO
.set MAGIC,    0x1BADB002
.set CHECKSUM, -(MAGIC + FLAGS)

.section .multiboot
.align 4
.long MAGIC
.long FLAGS
.long CHECKSUM

.section .bss
.align 16	
stack_bottom:
	.skip 16384
stack_top:

.section .text
.global _start
.type _start, @function
_start:
	movl $stack_top, %esp

	pushl %eax
	pushl %ebx

	call load_default_gdt
	
	popl %ebx
	popl %eax

	call kernel_main

halt:	cli
	hlt
	jmp halt

.size _start, . - _start
