/*
 * linker.ld
 *
 * A linker script for the final Multiboot image.
 * This file belongs to PGOS.
 *
 */

ENTRY(_start)

SECTIONS
{
	. = 2M;
		
	.text BLOCK(4K) : ALIGN(4K)
	{     	
		*(.multiboot)
		*(.text)
	}

	.rodata BLOCK(4K) : ALIGN(4K)
	{
		*(.rodata)
	}

	.data BLOCK(4K) : ALIGN(4K)
	{
		*(.data)
	}

	.bss BLOCK(4K) : ALIGN(4K)
	{
		*(COMMON)
		*(.bss)
	}

	/DISCARD/ :
	{
		*(.comment)
	}
}
