#!/usr/bin/bash -e

# Don't run this script manually; run make toolchain.

export PREFIX="$HOME/opt/cross"
export TARGET=i686-elf
export PATH="$PREFIX/bin:$PATH"

mkdir src
cd src

echo "Ensure you have git, (non-cross) gcc, make, bison, flex, gmp, mpc, mpfr and texinfo installed, and that $PREFIX exists."

echo "Obtaining binutils-gdb..."
git clone -b master --single-branch --depth 1 "git://sourceware.org/git/binutils-gdb.git"
clear

echo "Building binutils with target $TARGET and prefix $PREFIX."
mkdir build-binutils
cd build-binutils
../binutils-gdb/configure --target=$TARGET --prefix="$PREFIX" --with-sysroot --disable-nls --disable-werror
echo "Configured binutils."
make -s
clear
echo "Built binutils."
make -s install
clear
echo "Installed binutils."
