#!/usr/bin/bash -e

# Don't run this script manually; run make toolchain.

cd src

echo "Obtaining gcc..."
git clone -b master --single-branch --depth 1 git://gcc.gnu.org/git/gcc.git
clear

echo "Building gcc with target $TARGET and prefix $PREFIX."
mkdir build-gcc
cd build-gcc
../gcc/configure --target=$TARGET --prefix="$PREFIX" --disable-nls --enable-languages=c --without-headers
echo "Configured gcc."
make -s all-gcc
clear
echo "Built gcc."
make -s all-target-libgcc
clear
echo "Built libgcc."
make -s install-gcc
make -s install-target-libgcc
clear

cd ..
rm -rf build-gcc
